﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.10.1/gitea-1.10.1-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.10.1/gitea-1.10.1-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'c0818e0498ba5622b659b80be3b1b6eda2aa3f26d6a5961693d30e56a48fd14d'
  checksumType  = 'sha256'
  checksum64    = '2027bb217ca95620c9179fbc3ac8e38615f85754fa6f9c41b287c2c2264ed098'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
